###############################################
# Do not Edit! Generated by:
# spec-builder version 0.14
###############################################

Name: empathy
Summary: Instant Messaging Client for GNOME
Group: Applications/Communications
Version: 2.26.2
License: GPLv2+
URL: http://live.gnome.org/Empathy
Release: 2.2.moblin2
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
Source1: empathy-accounts.desktop
Source2: empathy-startup.desktop
Source3: empathy.desktop
Patch0: empathy-broken-pkgconfig.patch
Patch1: moblin-need-always-show-image-in-smiley-menu.patch
Patch2: 0001-Add-a-Respond-button-to-notifications-to-provide-a-p.patch
Patch3: 0002-Bring-up-notifications-until-the-conversation-is-acc.patch
Patch4: 0003-Patch-schemas-to-enable-notifications-when-window-is.patch
Patch5: 0004-Patch-schema-to-show-notifications-when-away-busy.patch
Patch6: 0005-empathy-a-should-not-bring-the-roster.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(gconf-2.0)

BuildRequires: iso-codes-devel
BuildRequires: desktop-file-utils
BuildRequires: evolution-data-server-devel
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gnome-doc-utils
BuildRequires: libcanberra-devel
BuildRequires: gtk2-devel
BuildRequires: intltool
BuildRequires: libglade2-devel
BuildRequires: libxml2-devel
BuildRequires: perl(XML::Parser)
BuildRequires: telepathy-glib-devel
BuildRequires: telepathy-mission-control-devel
BuildRequires: telepathy-farsight-devel
BuildRequires: libnotify-devel
BuildRequires: farsight2-devel

Requires: telepathy-gabble
Requires: telepathy-salut
Requires: telepathy-farsight
Requires: libnotify
Requires(post): /bin/touch

%description
Empathy is powerful multi-protocol instant messaging client which
supports Jabber, GTalk, MSN, IRC, Salut, and other protocols.
It is built on top of the Telepathy framework.

%package devel

Summary: Development files for %{name}
Group: Development/Libraries

Requires: glib2-devel
Requires: telepathy-glib-devel
Requires: telepathy-mission-control-devel
Requires: libxml2-devel
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .empathy-broken-pkgconfig
%patch1 -p1 -b .moblin-need-always-show-image-in-smiley-menu
%patch2 -p1 -b .0001-Add-a-Respond-button-to-notifications-to-provide-a-
%patch3 -p1 -b .0002-Bring-up-notifications-until-the-conversation-is-
%patch4 -p1 -b .0003-Patch-schemas-to-enable-notifications-when-window-is
%patch5 -p1 -b .0004-Patch-schema-to-show-notifications-when-away-busy
%patch6 -p1 -b .0005-empathy-a-should-not-bring-the-roster

%build
%configure --disable-static
unset LD_AS_NEEDED
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install
install -m 0644 %{SOURCE1} %{buildroot}/%{_datadir}/applications
mkdir -p %{buildroot}/%{_sysconfdir}/xdg/autostart
install -m 0644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/xdg/autostart
install -m 0644 %{SOURCE3} %{buildroot}/%{_datadir}/applications

%find_lang empathy  || echo -n >> empathy.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas \
    > /dev/null || :
fi

%preun 
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas \
    > /dev/null || :
fi

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/%{name}.schemas \
  > /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache \
  --quiet %{_datadir}/icons/hicolor 2> /dev/null|| :

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files -f empathy.lang
%defattr(-,root,root,-)
%doc ChangeLog README COPYING NEWS AUTHORS
%{_libdir}/lib*.so.*
%doc AUTHORS COPYING README NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_sysconfdir}/xdg/autostart/%{name}-startup.desktop
%{_bindir}/empathy
%{_bindir}/empathy-logs
%{_datadir}/empathy/
%{_datadir}/applications/empathy.desktop
%{_datadir}/applications/empathy-accounts.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/mission-control/profiles/*.profile
%{_mandir}/man1/empathy*.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/libempathy*/
%{_libdir}/libempathy*.so
%{_libdir}/pkgconfig/libempathy*.pc
%{_datadir}/gtk-doc/html/libempathy*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Jul 26 2009 Rob Bradford <rob@linux.intel.com> 2.26.2
- Update schemas to turn on notifications by default. Fixes MB#4222
* Tue Jul 14 2009 Rob Bradford <rob@linux.intel.com> 2.26.2
- Remove now superflous status icon patch
- Add a patch to bring in respond button to notifications
* Mon Jul  6 2009 Ding Jian-feng <jian-feng.ding@intel.com> 2.26.2
- Fixed "no images in smiley" menu problem
* Thu Jul  2 2009 Ding Jian-feng <jian-feng.ding@intel.com> 2.26.2
- upgrade to 2.26.2
* Fri Jun 26 2009 Damien Lespiau <damien.lespiau@intel.com> 2.26.1
- Change the comment of the desktop file to "IM your friends"
* Wed Jun 24 2009 Damien Lespiau <damien.lespiau@intel.com> 2.26.1
- Rename the application to Messenger
* Thu May 14 2009 Ding Jian-feng <jian-feng.ding@intel.com> 2.26.1
- update desktop file
* Wed May 13 2009 Damien Lespiau <damien.lespiau@intel.com> 2.26.1
  * Add au autostart desktop file
  * Now we are able to open the accounts dialog whith its own desktop file
  * Disable the status icon as it's not used in Moblin
* Wed May 13 2009 Vivian Zhang <vivian.zhang@intel.com> 2.26.1
- Added upstream patch: empathy-broken-pkgconfig to fix #2174
* Tue Apr 21 2009 Ding Jian-feng <jian-feng.ding@intel.com> 2.26.1
- Upgrade to 2.26.1
* Mon Mar 30 2009 Damien Lespiau <damien.lespiau@intel.com> 2.25.4
- Put the desktop file int the main package
* Wed Feb 11 2009 Damien Lespiau <damien.lespiau@intel.com> 2.25.4
- Initial import into Moblin
